Package org.apache.ignite.internal

## Class ClassSet

- java.lang.Object
- - org.apache.ignite.internal.ClassSet

    public class ClassSet
    extends Object

Set of classes represented as prefix tree. `*` symbol is allowed and indicates that all packages and classes are included.

### Constructor Summary

Constructors
`ClassSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(String clsName)` Adds class name to the set.
`boolean` `contains​(String clsName)`
`boolean` `equals​(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassSet

    public ClassSet()

### Method Detail

#### add

    public void add​(String clsName)

Adds class name to the set.

Parameters:
  `clsName` - Class name.

#### contains

    public boolean contains​(String clsName)

Parameters:
  `clsName` - Class name.

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`